1. Templates
Messaging API
  • Root
    • OTT
      • Send OTT
    • SMS
      • Send SMS
        • SendSms
        • SendSmsBatch
    • Voice
      • Calls
        • Place a call, or launch a campaign
    • Email
      • Raíz
      • Service
        • Health check
      • Delivery
        • Queue transactional email(s) for delivery
      • Attachments
        • DEPRECATED — you do not need this to send attachments
      • Templates
        • List EmailTemplates owned by the calling client
          GET
  • Raíz
  • Schemas
    • Schemas
      • MessageChannel
      • ApiSmsRequest
      • VoiceApiRequest
      • EmailRecipient
      • OTTMessagePayload
      • EmailRequest
      • OTTMessageRequest
      • EmailResponse
      • EmailResult
    • EmailDeliverAttachment
    • VoiceDeliverRequest
    • SmsBatchRequest
    • EmailDeliverPayload
    • ErrorMessage
    • BatchError
    • EmailDeliverRequest
    • ProblemDetails
    • EmailDeliverResult
    • CampaignAccepted
    • EmailDeliverResponse
    • AttachmentUploadResponse
    • EmailTemplateSummary
  1. Templates

List EmailTemplates owned by the calling client

GET
/templates
Last modified:2026-08-21 18:59:10
Returns the templates your client owns. Use id as templateId in POST /deliver.

Request

Authorization
API Key
Add parameter in header
X-API-KEY
Example:
X-API-KEY: ********************
or

Responses

🟢200
application/json
Templates owned by the client.
Bodyapplication/json

🟠401
🟠403
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.trucontact.co/templates' \
--header 'X-API-KEY: <api-key>'
Response Response Example
200 - ok
[
    {
        "id": "66f1c0a94b8d2e5f7a3c1d90",
        "name": "Invoice notification",
        "subject": "Your invoice {{invoice_number}} is ready",
        "fromAddress": "billing@yourcompany.com",
        "tags": "billing,invoices",
        "createdDate": "2026-03-14T09:22:01Z"
    },
    {
        "id": "66f1c0a94b8d2e5f7a3c1d91",
        "name": "Password reset",
        "subject": "Reset your password",
        "fromAddress": "no-reply@yourcompany.com",
        "tags": "security",
        "createdDate": "2026-04-02T16:40:55Z"
    }
]
Modified at 2026-08-21 18:59:10
Previous
DEPRECATED — you do not need this to send attachments
Next
MessageChannel
Built with